classification
Title: HP-UX: compiler warnings: alignment
Type: behavior Stage: resolved
Components: Build Versions: Python 2.6
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: ajaksu2, jabt
Priority: low Keywords:

Created on 2007-01-31 16:20 by jabt, last changed 2009-04-25 21:39 by ajaksu2. This issue is now closed.

Messages (2)
msg61059 - (view) Author: Johannes Abt (jabt) Date: 2007-01-31 16:20
On HP-UX 11.23 with the native compiler (cc: HP C/aC++ B3910B A.06.12 [Aug 17 2006]), I get dozens of these warnings:

/soft/python/python-2.5/Python-2.5/Modules/_ctypes/_ctypes.c", line 2885: warning #4232-D: conversion from "PyObject *" to a more strictly aligned type "CDataObject *" may cause misaligned access
  		ob = (CDataObject *)GenericCData_new(type, args, kwds);

It does not seem to be very serious.
msg84635 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-03-30 20:17
Just a compiler warning, so I'll close this unless someone voices
opposition.
History
Date User Action Args
2009-04-25 21:39:17ajaksu2setstatus: pending -> closed
resolution: rejected
stage: test needed -> resolved
2009-03-30 20:17:47ajaksu2setstatus: open -> pending
priority: normal -> low
type: behavior


nosy: + ajaksu2
messages: + msg84635
stage: test needed
2007-01-31 16:20:17jabtcreate